#ifndef MSP_VR_DISPLAYDEVICE_H_
#define MSP_VR_DISPLAYDEVICE_H_

#include <msp/gl/camera.h>

namespace Msp {
namespace VR {

class HeadTrackingCamera;
class StereoCombiner;
class StereoView;

class DisplayDevice
{
protected:
	DisplayDevice() { }
public:
	virtual ~DisplayDevice() { }

	virtual void configure_view(StereoView &) const = 0;
	virtual HeadTrackingCamera *create_camera(const GL::Camera &) const = 0;
	virtual StereoCombiner *create_combiner() const = 0;

	virtual void begin_frame() = 0;
	virtual void end_frame() = 0;
};

} // namespace VR
} // namespace Msp

#endif
