#ifndef MSP_VR_SIDEBYSIDECOMBINER_H_
#define MSP_VR_SIDEBYSIDECOMBINER_H_

#include <msp/gl/mesh.h>
#include <msp/gl/program.h>
#include <msp/gl/programdata.h>
#include "stereocombiner.h"

namespace Msp {
namespace VR {

class SideBySideCombiner: public StereoCombiner
{
private:
	GL::Mesh mesh;
	GL::Program shprog;
	GL::ProgramData left_shdata;
	GL::ProgramData right_shdata;
	bool cross_eyed;

public:
	SideBySideCombiner(bool = false);

	void set_cross_eyed(bool);

	virtual void render(const GL::Texture2D &, const GL::Texture2D &) const;
};

} // namespace VR
} // namespace Msp

#endif
